/*! \file
 *  \brief Тестирование двумерного БПФ
 *
 * При тестировании поочередно вычисляется БПФ от сигнала минимального размера
 * fft_min_height * fft_min_length до максимального размера fft_max_height * fft_max_length
 */

#include "test.h"

int main()
{
    printf("\nstart test ");

    DataTypes test_format = (DataTypes)FORMAT;
    TransformType test_type = (TransformType)TRANSFORM_TYPES;

    const int fft_min_size = 256;
    const int fft_max_size = MAX_SIZE;

    int test_err = 0;

    switch (test_format) {
        case FLOAT:
            if (test_type == FFT)
                test_err = test_fft_float_2d(fft_min_size, fft_max_size);
            else
                test_err = test_ifft_float_2d(fft_min_size, fft_max_size);
            break;
        case HFLOAT:
            if (test_type == FFT)
                test_err = test_fft_hfloat_2d(fft_min_size, fft_max_size);
            else
                test_err = test_ifft_hfloat_2d(fft_min_size, fft_max_size);
            break;
        case FRACTIONAL:
            if (test_type == FFT)
                test_err = test_fft_fract_2d(fft_min_size, fft_max_size);
            else
                test_err = test_ifft_fract_2d(fft_min_size, fft_max_size);
            break;
    }

    return test_err;
}
